﻿using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;
using Syncfusion.Pdf.Interactive;
using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            //Creates a new PDF document.

            PdfDocument document = new PdfDocument();

            //Creates a new page

            PdfPage page = document.Pages.Add();

            InitializeComponent();

            //Creates a new pdf 3d annotation.

            Pdf3DAnnotation pdf3dAnnotation = new Pdf3DAnnotation(new RectangleF(10, 50, 300, 150), @"../../Data/threeLevelHierarchy.U3D");

            //Handles the activation of the 3d annotation

            Pdf3DActivation activation = new Pdf3DActivation();

            activation.ActivationMode = Pdf3DActivationMode.ExplicitActivation;

            activation.ShowToolbar = true;

            pdf3dAnnotation.Activation = activation;

            //Adds annotation to page

            page.Annotations.Add(pdf3dAnnotation);

            //Saves the document to disk.

            document.Save("Sample.pdf");         

            document.Close(true);          
     
        }
    }
}
